<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="../../wtpphoenix.xsl"?>
<html>
	<head>
		<meta name="root" content="../../" />
		<title>web tools platform 2.0 release notes</title>
	</head>
	<body>
		<h1>WTP 2.0 Release Notes</h1>

		<h2>Introduction</h2>
		<p>
			This document contains information about the WTP 2.0
			Release.
		</p>
		<ul>
		<li>
			<a href="#press-release">Press Release</a>
		</li>
		<li>
			<a href="#new-and-noteworthy">New and Noteworthy</a>
		</li>	
		<li>
			<a href="#reported-problems">Reported and Known Problems</a>
		</li>
		</ul>
		<h2>
			<a name="press-release" />
			Press Release
		</h2>
		<p>
			The press release for Europa, which incorporates WTP 2.0, can be found
			<a href="http://www.eclipse.org/org/press-release/20070627_europarelease.php" target="_top">here</a>.
		</p>
		<h2>
			<a name="new-and-noteworthy" />
			New and Noteworthy
		</h2>
		<p>
			The list of new and noteworthy features is available <a href="newandnoteworthy/main.php">here</a>.
		</p>
		<h2>
			<a name="adopter-hotlist-report"/>Adopter Bug Queries
		</h2>
		<p>
			WTP 2.0 adopters have requested that the following known
			problems be given high priority in the coming releases:
		<ul>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug_request&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=2.0.*">Requested</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=2.0.*">Accepted but Unresolved</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard=hotbug&amp;bug_status=RESOLVED&amp;bug_status=VERIFIED&amp;bug_status=CLOSED&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=2.0.*">Resolved</a>
			</li>
			<li>
			<a href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;status_whiteboard_type=regexp&amp;status_whiteboard=hotbug*&amp;cmdtype=doit&amp;field0-0-0=target_milestone&amp;type0-0-0=regexp&amp;value0-0-0=2.0.*">All</a>
			</li>
		</ul>
		</p>
		<h2>
			<a name="reported-problems" />
			Reported and Known Problems
		</h2>
		<p>
			All reported problems are recorded in the Eclipse Bugzilla
			system under:
			<ul>
				<li>
					Classification =
					<code>WebTools</code>
				</li>
				<li>
					Product =
					<code>Web Tools</code>,
					<code>Dali JPA Tools</code>,
					<code>Java Server Faces</code>
				</li>
				<li>
					Status =
					<code>NEW</code>
					or
					<code>ASSIGNED</code>
					or
					<code>REOPENED</code>
				</li>
			</ul>
		</p>
		<a href="https://bugs.eclipse.org/bugs/buglist.cgi?bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;bug_status=UNCONFIRMED&amp;product=Dali+JPA+Tools&amp;product=Java+Server+Faces&amp;product=Web+Tools&amp;order=bugs.bug_id%20desc">All reported problems</a>
		<p>Check for suggested workarounds in the bug report comments.  Here are more specific items:</p>

		<table cellpadding="3%" >

		<tr>
		<!--
			<td><a href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=number">number</a></td>
			<td> title </td>
		-->
		</tr>
		
		<tr>
			<td><a	href="http://wiki.eclipse.org/JSF_Library_Migration">Migration</a></td>
			<td>Web projects created using the JSF Tools Preview release (0.5.0) need to be migrated for development with the JSF Tools Release 1.0</td>
		</tr>
		<tr>
			<td><a	href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=194498">194498</a></td>
			<td>Web Page Editor is not registered as the default editor for JSP pages</td>
		</tr>
		<tr>
			<td><a	href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=183302">183302</a></td>
			<td>Web Page Editor doesn't support JSP pages with XHTML markup</td>
		</tr>
		<tr>
			<td><a	href="http://www.eclipse.org/webtools/faq/main.php#ws_3">Axis2 Web services</a></td>
			<td>Known bugs in Axis2 Web services.</td>
		</tr>
		</table>
	</body>
</html>
